Home Information Classes Download Usage Mail List Requirements Links Tutorial

# Table Class Reference

STK table lookup class. More...

`#include <Table.h>`

Inheritance diagram for Table:

List of all members.

## Public Member Functions

| Table (char *fileName)
| Constructor loads the data from fileName.
| ~Table ()
| Class destructor.
long | getLength () const
| Return the number of elements in the table.
MY_FLOAT | lastOut () const
| Return the last output value.
MY_FLOAT | tick (MY_FLOAT index)
| Return the table value at position index.
MY_FLOAT * | tick (MY_FLOAT *vector, unsigned int vectorSize)
| Take vectorSize index positions and return the corresponding table values in vector.

## Detailed Description

STK table lookup class.

This class loads a table of floating-point doubles, which are assumed to be in big-endian format. Linear interpolation is performed for fractional lookup indexes.

An StkError will be thrown if the table file is not found.

by Perry R. Cook and Gary P. Scavone, 1995 - 2002.

Definition at line 22 of file Table.h.

## Member Function Documentation

MY_FLOAT Table::tick | ( | MY_FLOAT | index | ) |

| Return the table value at position index. Linear interpolation is performed if index is fractional.

The documentation for this class was generated from the following file:

- Table.h

The Synthesis ToolKit in C++ (STK)
©1995-2004 Perry R. Cook and Gary P. Scavone. All Rights Reserved.